Subject: RE: bug#9919: 24.0.91; font-lock broken in dired

From: "Drew Adams" <[email-masked]>
Date: Mon, 9 Jan 2012 17:35:15 -0800

> > That does not happen in Emacs 20-22 AFAICT.
> > What's the gotcha for Emacs 20-22?  What does a user need to
> > do in Emacs 20-22 to show that this code won't DTRT?
> 
> AFAIK the example will break your code in any version of Emacs
> that supports font-lock.

Nope, not the recipe you gave, at least.  Try it.
That's why I asked (still asking).

> >> Nothing very deep.  The moment when font-lock-mode gets enabled
> >> has changed.  I'm not convinced the new time is really much 
> >> better, but I'm not convinced the old time was better either.
> > Was that change made in Emacs 23 or 24?
> 
> Emacs-24.
> The change is to global-font-lock-mode, BTW.

Hm. I knew about that change, but didn't understand the consequences.

You can close this as not-a-bug, if you like.  Thx.